aagc.vo

## Class Filtro_grp

- java.lang.Object
- - aagc.vo.Filtro_grp

-     public class Filtro_grp
      extends java.lang.Object

  Altri filtri di ricerca per il servizio "getAssistibili". La ricerca verrà eseguita per codice fiscale o codice regionale o, in alternativa, combinando le seguenti proprietà: il nome (anche parziale), il cognome (che dovrà essere specificato per intero), il codice ISTAT del comune di nascita, la data o l'anno di nascita ed il sesso.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `codIstatNascita` Codice ISTAT del comune di nascita, parametro facoltativo.
    `(package private) java.lang.String` | `cognome` Cognome dell'assistito da ricercare, deve essere specificato per intero, parametro obbligatorio.
    `(package private) java.lang.String` | `dataNascita` Data di nascita dell'assistito (nel formato 'GG/MM/YYYY') oppure anche solo l'anno (nel formato 'YYYY'), parametro facoltativo.
    `(package private) java.lang.String` | `nome` Nome dell'assistito da ricercare, può essere specificato anche parzialmente, parametro obbligatorio.
    `(package private) java.lang.String` | `sesso` Sesso dell'assistito da ricercare, parametro facoltativo.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Filtro_grp()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodIstatNascita()`
    `java.lang.String` | `getCognome()`
    `java.lang.String` | `getDataNascita()`
    `java.lang.String` | `getNome()`
    `java.lang.String` | `getSesso()`
    `void` | `setCodIstatNascita(java.lang.String codIstatNascita)`
    `void` | `setCognome(java.lang.String cognome)`
    `void` | `setDataNascita(java.lang.String dataNascita)`
    `void` | `setNome(java.lang.String nome)`
    `void` | `setSesso(java.lang.String sesso)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cognome

          java.lang.String cognome

      Cognome dell'assistito da ricercare, deve essere specificato per intero, parametro obbligatorio.

    - #### nome

          java.lang.String nome

      Nome dell'assistito da ricercare, può essere specificato anche parzialmente, parametro obbligatorio.

    - #### sesso

          java.lang.String sesso

      Sesso dell'assistito da ricercare, parametro facoltativo. I possibili valori ammessi sono 'M' e 'F'.

    - #### dataNascita

          java.lang.String dataNascita

      Data di nascita dell'assistito (nel formato 'GG/MM/YYYY') oppure anche solo l'anno (nel formato 'YYYY'), parametro facoltativo.

    - #### codIstatNascita

          java.lang.String codIstatNascita

      Codice ISTAT del comune di nascita, parametro facoltativo.

  - ### Constructor Detail

    - #### Filtro_grp

          public Filtro_grp()

  - ### Method Detail

    - #### getCodIstatNascita

          public java.lang.String getCodIstatNascita()

    - #### setCodIstatNascita

          public void setCodIstatNascita(java.lang.String codIstatNascita)

    - #### getCognome

          public java.lang.String getCognome()

    - #### setCognome

          public void setCognome(java.lang.String cognome)

    - #### getDataNascita

          public java.lang.String getDataNascita()

    - #### setDataNascita

          public void setDataNascita(java.lang.String dataNascita)

    - #### getNome

          public java.lang.String getNome()

    - #### setNome

          public void setNome(java.lang.String nome)

    - #### getSesso

          public java.lang.String getSesso()

    - #### setSesso

          public void setSesso(java.lang.String sesso)